<!-- Compiled and minified CSS -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/css/materialize.min.css">

<!-- Compiled and minified JavaScript -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0-beta/js/materialize.min.js"></script>

<div class="container mt-5">
    <div class="card text-center">
      <div class="card-header">
        <b>Login</b>
      </div>
  <div class="card-body p-4">
    <label style="float:left;">Email</label>
    <input type="email" class="form-control m-2" placeholder="Email" [(ngModel)]="usuario.email">
    <label style="float:left;">Password</label>
    <input type="password" class="form-control m2" placeholder="Password" [(ngModel)]="usuario.password">
    <!-- <div class="text-center">
    <button class="text-center btn btn-primary btn-block m2" (click)="signIn()"></button>
  </div> -->
    <div class="col s12 m6 offset-m3 center-align ">
      <a class="oauth-container btn darken-4 white black-text" (click)="signInGoogle()" style="text-transform:none">
          <div class="left">
              <img width="20px" style="margin-top:7px; margin-right:8px" alt="Google sign-in"
                  src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png" />
          </div>
          Login with Google
      </a>

    </div>
    <button class="btn btn-success mt-2" routerLink="/sign-up">Register</button>
    <div type="button" class=" mt-2 text-reset" routerLink="/forgotpass">Forgot Password</div>
</div>
<!-- <button class="btn btn-danger" (click)="getUserLogged()">User?</button> -->
<button class="btn btn-danger" (click)="signIn()">Sign In</button>

